import type { DynamicModule } from "@nestjs/common";
import type { IParameterStoreConfigAsyncModuleProperties } from "../../src/shared/interface/config/async-module-properties.interface";
import type { IParameterStoreConfigProperties } from "../../src/shared/interface/config/properties.interface";
export declare class ParameterStoreConfigModule {
    static register(options: IParameterStoreConfigProperties): DynamicModule;
    static registerAsync(options: IParameterStoreConfigAsyncModuleProperties): DynamicModule;
    private static createAsyncOptionsProvider;
    private static createAsyncProviders;
}
