import type { Parameter } from "@aws-sdk/client-ssm";
type Maybe<T> = null | T;
export declare class ParameterStoreConfigService {
    private readonly parameters;
    private static readonly trutyValues;
    constructor(parameters: Array<Parameter>);
    get<R extends string>(name: string, defaultValue?: Maybe<R>): Maybe<R>;
    getBool<R extends boolean>(name: string, defaultValue?: Maybe<R>): Maybe<R>;
    getNumber<R extends number>(name: string, defaultValue?: Maybe<R>): Maybe<R>;
}
export {};
