"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const client_ssm_1 = require("@aws-sdk/client-ssm");
const constants_1 = require("../../../constants");
const ParameterStoreConfigSSMProvider = {
    inject: [constants_1.PARAMETER_STORE_CONFIG_PROPERTIES],
    provide: constants_1.PARAMETER_STORE_SSM_CLIENT,
    useFactory: async (options) => {
        return new client_ssm_1.SSMClient(options.ssmClientOptions ?? {});
    },
};
exports.default = ParameterStoreConfigSSMProvider;
//# sourceMappingURL=ssm-client.provider.js.map